#pragma once

#include "CoreMinimal.h"
#include "BhvrFlowNode.h"
#include "BhvrFlowNodeExampleD_OutputDelegate.h"
#include "BhvrFlowNode_ExampleD.generated.h"

UCLASS(Blueprintable)
class BHVRFLOW_API UBhvrFlowNode_ExampleD : public UBhvrFlowNode
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FBhvrFlowNodeExampleD_OutputDelegate OutputA;

public:
	UFUNCTION(BlueprintCallable)
	void InputA(int32 Integer);

	UFUNCTION(BlueprintCallable)
	void Configure(int32 Integer);

public:
	UBhvrFlowNode_ExampleD();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrFlowNode_ExampleD) { return 0; }
